Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete vector store file

DELETE
/vector_stores/{vector_store_id}/files/{file_id}

Delete a vector store file. This will remove the file from the vector store but the file itself will not be deleted. To delete the file, use the delete file endpoint.

Path Parameters
vector_store_id: string
file_id: string
Returns
VectorStoreFileDeleted object { id, deleted, object }
id: string
deleted: boolean
object: "vector_store.file.deleted"

Delete vector store file

curl https://api.tpg-oai.studydeckedu.com/v1/vector_stores/vs_abc123/files/file-abc123 \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "Content-Type: application/json" \
  -H "OpenAI-Beta: assistants=v2" \
  -X DELETE
{
  "id": "file-abc123",
  "object": "vector_store.file.deleted",
  "deleted": true
}
Returns Examples
{
  "id": "file-abc123",
  "object": "vector_store.file.deleted",
  "deleted": true
}